package com.yeejoin.equipmanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.equipmanage.common.entity.ManufacturerInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  Mapper 接口
 *
 * @author wujiang
 * @date 2020-07-07
 */
public interface ManufacturerInfoMapper extends BaseMapper<ManufacturerInfo> {
    int finduseManufacturer(Long id);

    int checkName(String name, Long id);

    List<String> checkDelete(@Param("ids") List<Long> ids);

}
